<?php namespace Lunovus\ExternalStore;

defined( 'ABSPATH' ) or die( 'Direct script access disallowed.' );

/**
 * @package Lunovus
 */
/*
Plugin Name: Lunovus external store
Description:
Version: 1.0.38
Requires at least: 6.1.1
Requires PHP: 7.4
Author: Diamond film and video Inc
Author URI: https://tvstuff.com/
License: GPLv2 or later
Text Domain: lunovus
*/

define('LUNOVUS_EXTERNAL_STORE_NAME', plugin_basename(__DIR__));
define('LUNOVUS_EXTERNAL_STORE_VERSION', '1.0.38');
define('LUNOVUS_EXTERNAL_STORE_CACHE_KEY', 'lunovus_external_store_custom_update');
define('LUNOVUS_EXTERNAL_STORE__MINIMUM_WP_VERSION', '6.1.1');
define('LUNOVUS_EXTERNAL_STORE__UPDATE_URL', 'https://admin.lunovus.com/plugins/wordpress/lunovus-external-store/info.json');
define('LUNOVUS_EXTERNAL_STORE__API_URL', 'https://admin.lunovus.com/api/external-store/');
define('LUNOVUS_EXTERNAL__PRACTICE_ID', get_option('lunvous_external_store_practice_id'));

define('LUNOVUS_EXTERNAL__DEFAULT_PRIMARY_COLOR', '#38bdf8');
define('LUNOVUS_EXTERNAL__PRIMARY_COLOR', get_option('lunvous_external_store_primary_color'));

define('LUNOVUS_EXTERNAL_STORE__PLUGIN_DIR', plugin_dir_path(__FILE__));
define('LUNOVUS_EXTERNAL_STORE__LAYOUTS_DIR', plugin_dir_path(__FILE__) . 'src/layouts/');
define('LUNOVUS_EXTERNAL_STORE__PLUGIN_BUILD_URL', plugins_url('build/', __FILE__));

// local, production
define('LUNOVUS_EXTERNAL_STORE__ENVIRONMENT', 'production');

require_once LUNOVUS_EXTERNAL_STORE__PLUGIN_DIR . '/vendor/autoload.php';

use Lunovus\ExternalStore\Client;
use Lunovus\ExternalStore\Admin;
use Lunovus\ExternalStore\Update;

// Init admin and client sides
Client::init();
Admin::init();

// Disable SSL check for local environment
if (LUNOVUS_EXTERNAL_STORE__ENVIRONMENT == 'local')
{
    add_filter( 'http_request_args', function ($args) {
        $args['reject_unsafe_urls'] = false;
        return $args;
    }, 999);
    add_filter('https_ssl_verify', '__return_false'); 
}

// Init update service
Update::init();
