<?php use Lunovus\ExternalStore\Helpers; ?>

<div class="t-container t-px-10 t-flex" style="max-width: 80%">

    <!-- Product categories -->
    <div class="t-w-1/3">
        <a href="/shop" class="t-block t-my-2">
            All (<?php echo array_sum(array_column($categories, 'products')) ?>)
        </a>
        <?php foreach ($categories as $category): ?>
            <a href="/shop/<?php echo $category->slug ?>"
                class="t-block t-my-2
                    <?php if ($currentCategory->id == $category->id) echo 't-no-underline t-font-bold' ?>
                "
            >
                <?php echo $category->title ?> (<?php echo $category->products ?>)
            </a>
        <?php endforeach ?>
    </div>

    <!-- Product details -->
    <div class="t-w-2/3 ">
        <!-- Product images -->
        <div class="t-flex t-mb-5">
            <?php foreach ($product->images as $image): ?>
                <div class="t-mr-4 t-p-3">
                    <img src="<?php echo $image ?>" class="t-w-3/6" />
                </div>
            <?php endforeach ?>
        </div>
        
        <div class="">
            <!-- Title -->
            <h4><?php echo $product->title ?></h4>
            
            <!-- Variants -->
            <div class="t-mb-4 t-pl-6">
                <?php foreach ($product->variants as $variant): ?>
                    <div class="t-leading-8 t-text-base t-text-slate-600">
                        <?php echo $variant->variant_title ?> - <span class="t-font-bold t-text-slate-900"><?php echo Helpers::formatCurrency($variant->price) ?></span>
                        <?php if ($variant->best_value): ?>
                            <span class="t-px-3 t-py-1 t-text-xs t-text-white t-rounded-xl t-bg-lime-500">Best Value</span>
                        <?php endif ?>
                    </div>
                <?php endforeach ?>
            </div>

            <!-- Description -->
            <h4>Description</h4>
            <div class="t-leading-7 t-text-base t-text-slate-600 t-pl-6">
                <?php echo $product->description ?>
            </div>
        </div>
    </div>
</div>
